# pinot.spec.  Generated from pinot.spec.in by configure.
%if 0%{?suse_version}
# SuSE
%define pftotext_pkg xpdf-tools
%define dbus_pkg dbus-1-glib
%if 0%{?suse_version} > 1010
%define dbus_dev_pkg dbus-1-glib-devel
%else
%define dbus_dev_pkg dbus-1-devel
%endif
%else
# Fedora and anything else
%define pftotext_pkg poppler-utils
%define dbus_pkg dbus-glib
%define dbus_dev_pkg dbus-devel
%endif

Summary: Metasearch tool
Name: pinot
Version: 0.75
Release: 1%{?dist}
License: GPL
Group: Applications/Internet 
Source: %{name}-%{version}.tar.gz
URL: http://pinot.berlios.de/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: xapian-core-libs >= 1.0.2, libtextcat >= 2.2, sqlite >= 3.3.1, curl >= 7.13, gmime >= 2.1
Requires: gtkmm24 >= 2.6, libxml++ >= 2.12, %{dbus_pkg} >= 0.60, shared-mime-info
Requires: unzip, antiword, unrtf, %{pftotext_pkg}
BuildRequires: xapian-core-devel >= 1.0.2, libtextcat-devel >= 2.2, sqlite-devel >= 3.3.1, curl-devel >= 7.13, gmime-devel >= 2.1, boost-devel >= 1.32
BuildRequires: gtkmm24-devel >= 2.6, libxml++-devel >= 2.12, %{dbus_dev_pkg} >= 0.60, gettext-devel, desktop-file-utils
BuildRequires: taglib-devel >= 1.4
BuildRequires: gcc-c++
%if 0%{?_with_soap:1}
BuildRequires: gsoap >= 2.7.8c
%endif

%description
Pinot is a D-Bus service that crawls, indexes your documents and monitors them
for changes, as well as a GTK-based user interface that enables to query
the index built by the service and your favourite Web engines, and display and
analyze the results.

%package audio-docs 
Summary: Tokenizers for Pinot that handle various audio document formats
Group: Applications/Internet
Requires: %{name} = %{version}
Requires: taglib >= 1.4

%description audio-docs 
The included filter adds support for OGG, MP3 and FLAC files.

%package omega 
Summary: Xapian Omega plugin for Pinot
Group: Applications/Internet
Requires: %{name} = %{version}
Requires: xapian-omega

%description omega
The included plugin enables Pinot to use Xapian Omega as a search engine.

%package deskbar
Summary: Pinot plugin for DeskbarApplet
Group: Applications/Internet
Requires: %{name} = %{version}
Requires: deskbar-applet

%description deskbar
The included plugin enables Deskbar to search documents indexed by Pinot.

%prep
%setup -q

%build
%configure %{?_with_soap:--enable-soap=yes} %{?_with_debug:--enable-debug=yes}
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall

%post
gtk-update-icon-cache -q -f %{_datadir}/icons/hicolor || :

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog ChangeLog-dijon COPYING NEWS README TODO
%config(noreplace) %{_sysconfdir}/pinot/external-filters.xml
%config(noreplace) %{_sysconfdir}/pinot/globalconfig.xml
%config(noreplace) %{_sysconfdir}/pinot/textcat_conf.txt
%config(noreplace) %{_sysconfdir}/pinot/textcat3_conf.txt
%{_bindir}/pinot
%{_bindir}/pinot-dbus-daemon
%{_bindir}/pinot-index
%{_bindir}/pinot-search
%{_libdir}/pinot/filters/libexternalfilter.so*
%{_libdir}/pinot/filters/libmboxfilter.so*
%{_datadir}/pinot/xapian-powered.png
%{_datadir}/pinot/metase-gtk2.glade
%{_datadir}/pinot/metase-gtk2.gladep
%{_datadir}/pinot/pinot-dbus-daemon.xml
%{_datadir}/dbus-1/services/de.berlios.Pinot.service
%{_datadir}/pinot/*.src
%dir %{_datadir}/pinot/engines/
%{_datadir}/pinot/engines/A9.src
%{_datadir}/pinot/engines/Accoona.src
%{_datadir}/pinot/engines/BitTorrent.src
%{_datadir}/pinot/engines/Clusty.src
%{_datadir}/pinot/engines/CreativeCommons.src
%{_datadir}/pinot/engines/Exalead.src
%{_datadir}/pinot/engines/Freshmeat.src
%{_datadir}/pinot/engines/Google.src
%{_datadir}/pinot/engines/GoogleCodeSearch.src
%{_datadir}/pinot/engines/MozDexDescription.xml
%{_datadir}/pinot/engines/MSN.src
%{_datadir}/pinot/engines/RollYOTopNews.src
%{_datadir}/pinot/engines/Topix.src
%{_datadir}/pinot/engines/WiseNut.src
%{_datadir}/pinot/engines/Yahoo.src
%{_datadir}/pinot/engines/YahooAPI.src
%{_datadir}/pinot/engines/Wikipedia.src
%{_datadir}/pinot/engines/KodersDescription.xml
%{_datadir}/locale/de/LC_MESSAGES/pinot.mo
%{_datadir}/locale/es/LC_MESSAGES/pinot.mo
%{_datadir}/locale/fr/LC_MESSAGES/pinot.mo
%{_datadir}/locale/it/LC_MESSAGES/pinot.mo
%{_datadir}/locale/nl/LC_MESSAGES/pinot.mo
%{_datadir}/locale/pt/LC_MESSAGES/pinot.mo
%{_datadir}/locale/pt_BR/LC_MESSAGES/pinot.mo
%{_datadir}/locale/ru/LC_MESSAGES/pinot.mo
%{_datadir}/locale/sv/LC_MESSAGES/pinot.mo
%{_datadir}/icons/hicolor/48x48/apps/pinot.png
%{_datadir}/icons/hicolor/32x32/apps/pinot.png
%{_datadir}/icons/hicolor/24x24/apps/pinot.png
%{_datadir}/icons/hicolor/22x22/apps/pinot.png
%{_datadir}/icons/hicolor/16x16/apps/pinot.png
%{_sysconfdir}/xdg/autostart/*.desktop
%{_datadir}/applications/*.desktop
%{_mandir}/man1/pinot.*
%{_mandir}/man1/pinot-dbus-daemon.*
%{_mandir}/man1/pinot-index.*
%{_mandir}/man1/pinot-search.*

%files audio-docs 
%defattr(-, root, root, -)
%{_libdir}/pinot/filters/libtaglibfilter.so*

%files omega
%defattr(-, root, root, -)
%{_datadir}/pinot/engines/OmegaDescription.xml

%files deskbar
%defattr(-, root, root, -)
%{_libdir}/deskbar-applet/handlers/pinot-live.py*

%changelog

